Tk_SetAppName(3)

NAME
Tk_SetAppName - Set the name of an application for ``send'' commands

SYNOPSIS
#include <tk.h>

char *
Tk_SetAppName(tkwin, name)

ARGUMENTS
Token for window in application. Used only to select a particular application. Name under which to register the application.

DESCRIPTION

Tk_SetAppName associates a name with a given application and records that association on the display containing with the application's main window. After this procedure has been invoked, other applications on the display will be able to use the send command to invoke operations in the application. If name is already in use by some other application on the display, then a new name will be generated by appending `` #2'' to name; if this name is also in use, the number will be incremented until an unused name is found. The return value from the procedure is a pointer to the name actually used.

If the application already has a name when Tk_SetAppName is called, then the new name replaces the old name.

Tk_SetAppName also adds a send command to the application's interpreter, which can be used to send commands from this application to others on any of the displays where the application has windows.

The application's name registration persists until the interpreter is deleted or the send command is deleted from interp, at which point the name is automatically unregistered and the application becomes inaccessible via send. The application can be made accessible again by calling Tk_SetAppName.

Tk_SetAppName is called automatically by Tk_CreateMainWindow, so applications don't normally need to call it explicitly.

The command tk appname provides Tcl-level access to the functionality of Tk_SetAppName.

KEYWORDS
application, name, register, send command